Name:          sqlitestudio
Version:       3.1.0
Release:       %mkrel 1
Summary:       A SQLite database manager
License:       GPLv3
Group:         Development/Other
URL:           http://sqlitestudio.one.pl/
Source0:       http://sqlitestudio.pl/files/sqlitestudio3/complete/tar/%{name}-%{version}.tar.gz
Patch0:        sqlitestudio-3.1.0-fix-install.patch
BuildRequires: pkgconfig(sqlite3)
BuildRequires: readline-devel
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: qttools5

%description
SQLiteStudio is a SQLite database manager with the following features:

* Single executable file
* Intuitive interface
* All SQLite3 and SQLite2 features wrapped within simple GUI
* Cross-platform
* Localizations
* Exporting to various formats
* Importing data from various formats
* Numerous small additions
* UTF-8 support
* Skinnable
* Configurable colors, fonts and shortcuts
* Open source and free

%prep
%setup -q -c
%autopatch -p1

%build
cd SQLiteStudio3
%qmake_qt5 -recursive LIBDIR=%{_libdir} DATADIR=%{_datadir}

%make_build

%install
cd SQLiteStudio3
%make_install INSTALL_ROOT=%{buildroot}

# remove unneeded devel files
find %{buildroot} -name '*.so' -delete

install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=SQLite Studio
Comment=A SQLite database manager
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;Database;
MimeType=application/x-sqlite3;
EOF

%files
%doc SQLiteStudio3/docs/* SQLiteStudio3/coreSQLiteStudio/ChangeLog.txt
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_libdir}/libcoreSQLiteStudio.so*
%{_libdir}/libguiSQLiteStudio.so*


%changelog
* Sun Oct 23 2016 neoclust <neoclust> 3.1.0-1.mga6
+ Revision: 1063326
- imported package sqlitestudio


* Wed Nov 25 2015 Huaren Zhong <huaren.zhong@gmail.com> 3.0.7
- Rebuild for Fedora
